%% to create MITGCM  plots
function [] = OBCS_slice_plot(X,Z,param,reg,data,time)


nlon = length(X);
nlat = length(Z);
x = data;
x(x == 0) = NaN;
pcolnan(X,Z,squeeze(x)');
colorbar

% if (strcmp(param,'T') == 1); caxis ([5 30]);end
% if (strcmp(param,'S') == 1); caxis ([34 35]);end
% if (strcmp(param,'U') == 1); caxis ([-0.5 0.5]);end
% if (strcmp(param,'V') == 1); caxis ([-0.5 0.5]);end

set(gca,'FontSize',14);
title(['MITGCM-' param '-' reg '-' datestr(time)],'FontSize',14); 
if ((strcmp(reg,'N') == 1) | (strcmp(reg,'S') == 1)); xlabel('Longitude (deg) ','FontSize',14); end
if ((strcmp(reg,'E') == 1) | (strcmp(reg,'W') == 1)); xlabel('Latitude (deg) ','FontSize',14); end
ylabel('Depth (m)','FontSize',14)
end
