% This is a script that executes a series of commands for
% extracting values from the global model outputs, 
% interpolating, and adjusting (for conservation).
%
% Created  03/01/02 by vthierry@ucsd.edu
%                   
% ---------------------------------------------------------
%% modified all subroutines for HYCOM (taiwan) by Ganesh 112508
clear all;

%% Extracts the values form the global model
obcsfromhycom

%% Calulates the mass transport and the heat transport
%% at the northern and southern boundaries 
%% in the global model ...
hycomtransp

%% and accordingly corrects the 
%% interpolated fields on the higher resolution grid.
cor_obcs_hycom_transp

